CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sfKeyEvent Struct Reference

Keyboard event parameters. More...

`#include <SFML/Window/Event.h>`

## Public Attributes

sfEventType | type
sfKeyCode | code
sfScancode | scancode
sfBool | alt
sfBool | control
sfBool | shift
sfBool | system

## Detailed Description

Keyboard event parameters.

Definition at line 76 of file Event.h.

## Member Data Documentation

## ◆ alt

sfBool sfKeyEvent::alt

Definition at line 81 of file Event.h.

## ◆ code

sfKeyCode sfKeyEvent::code

Definition at line 79 of file Event.h.

## ◆ control

sfBool sfKeyEvent::control

Definition at line 82 of file Event.h.

## ◆ scancode

sfScancode sfKeyEvent::scancode

Definition at line 80 of file Event.h.

## ◆ shift

sfBool sfKeyEvent::shift

Definition at line 83 of file Event.h.

## ◆ system

sfBool sfKeyEvent::system

Definition at line 84 of file Event.h.

## ◆ type

sfEventType sfKeyEvent::type

Definition at line 78 of file Event.h.

The documentation for this struct was generated from the following file:

- Event.h